classification
Title: [doc] Clarify setting pdb breakpoints
Type: Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, hugovk, iank, iritkatriel, miss-islington, xdegaye
Priority: normal Keywords: easy, patch

Created on 2016-10-28 12:55 by iank, last changed 2022-01-07 20:07 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
iank-v1.patch iank, 2016-10-28 12:55 review
Pull Requests
URL Status Linked Edit
PR 30360 merged hugovk, 2022-01-03 16:23
PR 30464 merged miss-islington, 2022-01-07 19:41
PR 30465 merged miss-islington, 2022-01-07 19:41
Messages (5)
msg279601 - (view) Author: Ian Kelling (iank) * Date: 2016-10-28 12:55
https://docs.python.org/3.7/library/pdb.html:

"The typical usage to break into the debugger from a running program is to insert

import pdb; pdb.set_trace()

at the location you want to break into the debugger."

A plain read of this says: insert code into a running program.
I can do this just fine in gdb, so when reading this, I wonder
if attaching is explained elsewhere, or what.

Patch to improve this.
msg407718 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-12-05 17:24
The patch needs to be converted to a GitHub PR.
msg410017 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-01-07 19:41
New changeset 6d07a9fb7cb31433c376a1aa20ea32001da0a418 by Hugo van Kemenade in branch 'main':
bpo-28546: [doc] Clarify setting pdb breakpoints (GH-30360)
https://github.com/python/cpython/commit/6d07a9fb7cb31433c376a1aa20ea32001da0a418
msg410022 - (view) Author: miss-islington (miss-islington) Date: 2022-01-07 20:03
New changeset ed2656a7d313dd9fa3a963d8b4dca4438cf73bc9 by Miss Islington (bot) in branch '3.10':
bpo-28546: [doc] Clarify setting pdb breakpoints (GH-30360)
https://github.com/python/cpython/commit/ed2656a7d313dd9fa3a963d8b4dca4438cf73bc9
msg410025 - (view) Author: miss-islington (miss-islington) Date: 2022-01-07 20:06
New changeset a74eb5465582dd6e194a84ce4c66c12453373304 by Miss Islington (bot) in branch '3.9':
bpo-28546: [doc] Clarify setting pdb breakpoints (GH-30360)
https://github.com/python/cpython/commit/a74eb5465582dd6e194a84ce4c66c12453373304
History
Date User Action Args
2022-01-07 20:07:55iritkatrielsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2022-01-07 20:06:51miss-islingtonsetmessages: + msg410025
2022-01-07 20:03:40miss-islingtonsetmessages: + msg410022
2022-01-07 19:41:40miss-islingtonsetpull_requests: + pull_request28668
2022-01-07 19:41:39iritkatrielsetmessages: + msg410017
2022-01-07 19:41:35miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request28667
2022-01-03 16:23:15hugovksetkeywords: + patch
nosy: + hugovk

pull_requests: + pull_request28574
stage: patch review
2021-12-05 17:24:45iritkatrielsetnosy: + iritkatriel
messages: + msg407718
2021-12-05 17:24:28iritkatrielsetkeywords: + easy, - patch
title: Better explain setting pdb breakpoints -> [doc] Clarify setting pdb breakpoints
versions: + Python 3.9, Python 3.10, Python 3.11, - Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6, Python 3.7
2016-10-28 18:04:44xdegayesetnosy: + xdegaye
2016-10-28 12:55:42iankcreate